Enable arbitrary access on Incubator
Closed, ResolvedPublic5 Story Points

Description

As suggested by @StevenJ81 at T54971#4735320, let's try to enable property support before sitelinks here, so that "attempt to index field 'wikibase' (a nil value)" issues on every module-powered pages can be resolved.

(The linked page is a red link, and can't be created without specific priveliges.) posted locally

Steps:

  • Use documentation that will be provided once T202543 is closed
    • Create wikibase client DB tables for incubator wiki (as defined on wikibase.git)
    • Enable arbitrary access on incubator wiki
Liuxinyu970226 added subscribers: Danny_B, Ebe123, Hydriz and 5 others.

Does this still need community consensus as it is tagged? I thought that it was generally agreed that this is wanted.

Koavf added a comment.Nov 10 2018, 8:26 AM

I don't think anyone at incubator or beta.wv is *opposed* to this.

Liuxinyu970226 updated the task description. (Show Details)

so per above, consensus already existing for months

Addshore triaged this task as Normal priority.Nov 12 2018, 5:57 PM
Addshore moved this task from Incoming to Ready to go on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Nov 13 2018, 2:16 PM
Addshore set the point value for this task to 5.
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 13 2018, 3:33 PM

Mentioned in SAL (#wikimedia-operations) [2018-11-14T15:07:22Z] <Amir1> ladsgroup@mwmaint1002:/srv/mediawiki-staging/php-1.33.0-wmf.4$ mwscript sql.php --wiki=incubatorwiki extensions/Wikibase/client/sql/entity_usage.sql (T209207)

Change 473534 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add incubatorwiki to wikidataclient.dblist

https://gerrit.wikimedia.org/r/473534

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptWed, Nov 14, 3:18 PM
Ladsgroup updated the task description. (Show Details)Wed, Nov 14, 3:22 PM

Change 473534 merged by jenkins-bot:
[operations/mediawiki-config@master] Add incubatorwiki to wikidataclient.dblist

https://gerrit.wikimedia.org/r/473534

This comment was removed by Liuxinyu970226.